Subject: Re: bug#7924: 23.2.91; Documentation about CDPATH is a little misleading

From: Stefan Monnier <[email-masked]>
Date: Sun, 30 Jan 2011 23:09:48 -0500

>> Both in the manual and in the docstring for `cd', one might reasonably
>> infer (as I did!) that CDPATH will be searched when completing relative
>> directory names, but this is not the case.
>> 
>> Is there in fact any way to get this to work? It’s something that one
>> can do nicely in bash in a terminal, for example, but not in shell-mode.

> I think this needs new code in `read-file-name-internal' (the completion
> function for read-file-name).

Indeed, but only for `cd'.  It shouldn't be too hard to do it either,

        Stefan